> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all groups

GET https://api.getpostman.com/scim/v2/Groups

Gets information about all Postman team members.

Reference: https://learning.postman.com/api-docs/api-reference/scim/get-scim-group-resources

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/Groups:
    get:
      operationId: getScimGroupResources
      summary: Get all groups
      description: Gets information about all Postman team members.
      tags:
        - scim
      parameters:
        - name: startIndex
          in: query
          description: >-
            The index entry by which to begin the list of returned results. Must
            be a value of `1` or greater.
          required: false
          schema:
            $ref: '#/components/schemas/startIndex'
            default: 1
        - name: count
          in: query
          description: Limit the number of results returned in a single response.
          required: false
          schema:
            $ref: '#/components/schemas/count'
            default: 100
        - name: filter
          in: query
          description: >
            Filter results by a specific word or phrase. This query parameter
            only supports the `displayName` filter and has the following
            requirements:

            - Filter values are case-sensitive.

            - Special characters and spaces must be URL encoded.
          required: false
          schema:
            $ref: '#/components/schemas/scimGroupFilter'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getScimGroupResources'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    startIndex:
      type: number
      format: double
      default: 1
      title: startIndex
    count:
      type: number
      format: double
      default: 100
      title: count
    scimGroupFilter:
      type: string
      title: scimGroupFilter
    ScimGroupResourceMembersItems:
      type: object
      properties:
        value:
          type: string
          description: The resource value.
        display:
          type: string
          description: The resource's display name.
      description: Information about the group's members.
      title: ScimGroupResourceMembersItems
    ScimGroupResourceMeta:
      type: object
      properties:
        resourceType:
          type: string
          description: The resource type.
        created:
          type: string
          format: date-time
          description: The date and time at which the group was created.
        lastModified:
          type: string
          format: date-time
          description: The date and time at which the group was last modified.
      description: The response's non-standard meta information.
      title: ScimGroupResourceMeta
    scimGroupResource:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        id:
          type: string
          description: The group's SCIM ID.
        displayName:
          type: string
          description: The group's display name.
        members:
          type: array
          items:
            $ref: '#/components/schemas/ScimGroupResourceMembersItems'
          description: A list of the group's members.
        externalId:
          type: string
          description: The group's external ID.
        meta:
          $ref: '#/components/schemas/ScimGroupResourceMeta'
          description: The response's non-standard meta information.
      description: The SCIM group resource object.
      title: scimGroupResource
    getScimGroupResources:
      type: object
      properties:
        Resources:
          type: array
          items:
            $ref: '#/components/schemas/scimGroupResource'
          description: A list of group resources.
        itemsPerPage:
          type: number
          format: double
          description: The number of items per response page.
        schemas:
          type: array
          items:
            type: string
        startIndex:
          type: number
          format: double
          description: The index entry by which the returned results begin.
        totalResults:
          type: number
          format: double
          description: The total number of results found.
      title: getScimGroupResources
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ],
      "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
      "displayName": "TestAPI",
      "members": [
        {
          "value": "23a35c2723d34c03b4c56443c09e7173",
          "display": "Taylor Lee"
        }
      ],
      "externalId": "1234",
      "meta": {
        "resourceType": "Group",
        "created": "2022-02-22T04:24:13.000Z",
        "lastModified": "2022-02-22T04:24:13.000Z"
      }
    },
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ],
      "id": "123775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "displayName": "Test Group",
      "members": [
        {
          "value": "23a35c2723d34c03b4c56443c09e7173",
          "display": "Taylor Lee"
        },
        {
          "value": "b1c794f24f4c49f4b5d503a4cb2686ea",
          "display": "Alex Cruz"
        }
      ],
      "externalId": "4321",
      "meta": {
        "resourceType": "Group",
        "created": "2022-02-22T04:24:13.000Z",
        "lastModified": "2022-02-22T04:24:13.000Z"
      }
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 2
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/scim/v2/Groups"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/scim/v2/Groups';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Groups"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/scim/v2/Groups")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/scim/v2/Groups', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Groups");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```